.block-grocery-list-print-button {
  margin: 50px 0;
  text-align: center;
}

.block-grocery-list-overview {
  background-color: #fff;
  box-shadow: 5px 5px 20px 0 rgba(0, 0, 0, 0.13);
  margin-bottom: 50px;
  padding: 40px;
}

.block-grocery-list-overview .view-empty > .empty {
  font-size: 16px;
  font-style: italic;
  padding: 0 0 10px;
}

.block-grocery-list-overview .alv-cart-item-add-form .form-type-textfield {
  display: inline-block;
}

.block-grocery-list-overview .alv-cart-item-add-form .form-type-textfield input[type='text'] {
  border-radius: 20px;
  border: 1px solid #979797;
  margin-right: 20px;
  max-width: 400px;
  padding: 10px 20px;
  width: 100%;
}

.block-grocery-list-overview .alv-cart-item-add-form input[name='cart-item-add'] {
  background-color: transparent;
  background-image: url(../..//images/ico_plus_green.svg);
  background-position: 0 2px;
  background-repeat: no-repeat;
  border: 0;
  color: #269945;
  font-family: Oswald, "Times New Roman", Times, Georgia, "DejaVu Serif", serif;
  font-size: 16px;
  line-height: 30px;
  padding: 0 0 0 35px;
}

.block-grocery-list-overview .views-view-table {
  color: #333;
  font-family: Merriweather, "Times New Roman", Times, Georgia, "DejaVu Serif", serif;
  font-size: 16px;
}

.block-grocery-list-overview .views-view-table > caption {
  color: #0f4194;
  font-family: Oswald, "Times New Roman", Times, Georgia, "DejaVu Serif", serif;
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 15px;
  text-align: left;
  text-transform: uppercase;
}

.block-grocery-list-overview .views-view-table > caption > details {
  display: none;
}

.block-grocery-list-overview .views-view-table tr {
  border-bottom: 1px solid #f4f4f4;
  display: block;
  padding-right: 260px;
  position: relative;
}

@media screen and (max-width: 600px) {
  .block-grocery-list-overview .views-view-table tr {
    padding: 5px 0;
  }
}

.block-grocery-list-overview .views-view-table tr:last-child {
  border-bottom: 0;
}

.block-grocery-list-overview .views-view-table tr td {
  display: inline-block;
  padding: 3px 0 6px;
  vertical-align: top;
}

@media (min-width: 0) and (max-width: 1250px) {
  .block-grocery-list-overview .views-view-table tr td {
    display: block;
  }
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-label {
  margin-right: 10px;
  text-transform: capitalize;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-promotion > .promotion-item {
  background-image: url(../..//images/ico_discount.svg);
  background-position: 0 center;
  background-repeat: no-repeat;
  color: #e32013;
  display: inline-block;
  font-family: Oswald, "Times New Roman", Times, Georgia, "DejaVu Serif", serif;
  font-size: 16px;
  font-weight: 500;
  margin-right: 10px;
  padding-left: 30px;
  text-transform: uppercase;
  vertical-align: top;
  white-space: nowrap;
}

@media screen and (max-width: 600px) {
  .block-grocery-list-overview .views-view-table tr td.views-field-cart-item-promotion {
    padding: 0;
  }
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-coupon a {
  font-size: 14px;
  padding: 4px 3em;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations {
  position: absolute;
  right: 0;
  text-align: right;
  top: 0;
  white-space: nowrap;
}

@media screen and (max-width: 600px) {
  .block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations {
    display: block;
    padding-top: 6px;
    position: static;
    text-align: left;
  }
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .ajax-progress {
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  display: block;
  left: 50%;
  position: absolute;
  top: 50%;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element {
  margin-right: 5px;
  position: relative;
}

@media screen and (max-width: 600px) {
  .block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element {
    margin-right: 0;
  }
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element.operation-element-items {
  text-align: center;
  width: 120px;
}

@media (min-width: 0) and (max-width: 1250px) {
  .block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element.operation-element-items {
    width: 100px;
  }
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element.operation-element-plus {
  margin-right: 25px;
}

@media (min-width: 0) and (max-width: 1250px) {
  .block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element.operation-element-plus {
    margin-right: 0;
  }
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element.operation-element-remove {
  margin-right: 0;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element.operation-element-remove input {
  background-position: right center;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .operation-element,
.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations .unit {
  display: inline-block;
  font-size: 14px;
  vertical-align: top;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations input[type='text'] {
  border-radius: 16px;
  border: 1px solid #979797;
  color: #0f4194;
  display: block;
  font-size: 14px;
  line-height: 17px;
  max-width: 150px;
  padding: 6px 15px;
  width: 100%;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations input[type='submit'] {
  background-color: transparent;
  background-position: 0 2px;
  background-repeat: no-repeat;
  border: 0;
  content: '';
  display: block;
  font-size: 0;
  height: 30px;
  width: 30px;
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations input[name='cart-item-min'] {
  background-image: url(../..//images/ico_minus.svg);
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations input[name='cart-item-plus'] {
  background-image: url(../..//images/ico_plus.svg);
}

.block-grocery-list-overview .views-view-table tr td.views-field-cart-item-operations input[name='cart-item-remove'] {
  background-image: url(../..//images/ico_trash.svg);
}
